com.io7m.jregions.core.unparameterized.volumes

## Class VolumeXYZSplitBI.Builder<T extends VolumeBIType>

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.volumes.VolumeXYZSplitBI.Builder<T>

- Enclosing class:
    VolumeXYZSplitBI<T extends VolumeBIType>

      public static final class VolumeXYZSplitBI.Builder<T extends VolumeBIType>
      extends Object

  Builds instances of type `VolumeXYZSplitBI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VolumeXYZSplitBI<T>` | `build()` Builds a new `VolumeXYZSplitBI`.
    `VolumeXYZSplitBI.Builder<T>` | `from(VolumeXYZSplitBIType<T> instance)` Fill a builder with attribute values from the provided `VolumeXYZSplitBIType` instance.
    `VolumeXYZSplitBI.Builder<T>` | `setX0y0z0(T x0y0z0)` Initializes the value for the `x0y0z0` attribute.
    `VolumeXYZSplitBI.Builder<T>` | `setX0y0z1(T x0y0z1)` Initializes the value for the `x0y0z1` attribute.
    `VolumeXYZSplitBI.Builder<T>` | `setX0y1z0(T x0y1z0)` Initializes the value for the `x0y1z0` attribute.
    `VolumeXYZSplitBI.Builder<T>` | `setX0y1z1(T x0y1z1)` Initializes the value for the `x0y1z1` attribute.
    `VolumeXYZSplitBI.Builder<T>` | `setX1y0z0(T x1y0z0)` Initializes the value for the `x1y0z0` attribute.
    `VolumeXYZSplitBI.Builder<T>` | `setX1y0z1(T x1y0z1)` Initializes the value for the `x1y0z1` attribute.
    `VolumeXYZSplitBI.Builder<T>` | `setX1y1z0(T x1y1z0)` Initializes the value for the `x1y1z0` attribute.
    `VolumeXYZSplitBI.Builder<T>` | `setX1y1z1(T x1y1z1)` Initializes the value for the `x1y1z1` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final VolumeXYZSplitBI.Builder<T> from(VolumeXYZSplitBIType<T> instance)

      Fill a builder with attribute values from the provided `VolumeXYZSplitBIType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setX0y0z0

          public final VolumeXYZSplitBI.Builder<T> setX0y0z0(T x0y0z0)

      Initializes the value for the `x0y0z0` attribute.
      Parameters:
        `x0y0z0` - The value for x0y0z0
      Returns:
        `this` builder for use in a chained invocation

    - #### setX1y0z0

          public final VolumeXYZSplitBI.Builder<T> setX1y0z0(T x1y0z0)

      Initializes the value for the `x1y0z0` attribute.
      Parameters:
        `x1y0z0` - The value for x1y0z0
      Returns:
        `this` builder for use in a chained invocation

    - #### setX0y1z0

          public final VolumeXYZSplitBI.Builder<T> setX0y1z0(T x0y1z0)

      Initializes the value for the `x0y1z0` attribute.
      Parameters:
        `x0y1z0` - The value for x0y1z0
      Returns:
        `this` builder for use in a chained invocation

    - #### setX1y1z0

          public final VolumeXYZSplitBI.Builder<T> setX1y1z0(T x1y1z0)

      Initializes the value for the `x1y1z0` attribute.
      Parameters:
        `x1y1z0` - The value for x1y1z0
      Returns:
        `this` builder for use in a chained invocation

    - #### setX0y0z1

          public final VolumeXYZSplitBI.Builder<T> setX0y0z1(T x0y0z1)

      Initializes the value for the `x0y0z1` attribute.
      Parameters:
        `x0y0z1` - The value for x0y0z1
      Returns:
        `this` builder for use in a chained invocation

    - #### setX1y0z1

          public final VolumeXYZSplitBI.Builder<T> setX1y0z1(T x1y0z1)

      Initializes the value for the `x1y0z1` attribute.
      Parameters:
        `x1y0z1` - The value for x1y0z1
      Returns:
        `this` builder for use in a chained invocation

    - #### setX0y1z1

          public final VolumeXYZSplitBI.Builder<T> setX0y1z1(T x0y1z1)

      Initializes the value for the `x0y1z1` attribute.
      Parameters:
        `x0y1z1` - The value for x0y1z1
      Returns:
        `this` builder for use in a chained invocation

    - #### setX1y1z1

          public final VolumeXYZSplitBI.Builder<T> setX1y1z1(T x1y1z1)

      Initializes the value for the `x1y1z1` attribute.
      Parameters:
        `x1y1z1` - The value for x1y1z1
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public VolumeXYZSplitBI<T> build()

      Builds a new `VolumeXYZSplitBI`.
      Returns:
        An immutable instance of VolumeXYZSplitBI
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com